Bug 245657 - [PATCH] devel/git: build with asciidoctor
Summary: [PATCH] devel/git: build with asciidoctor
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Renato Botelho
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-04-16 06:44 UTC by Bjorn Neergaard
Modified: 2020-05-08 12:32 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (garga)


Attachments
asciidoctor.patch (2.34 KB, patch)
2020-04-16 06:44 UTC, Bjorn Neergaard
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bjorn Neergaard 2020-04-16 06:44:29 UTC
Created attachment 213452 [details]
asciidoctor.patch

Python 2 and Asciidoctor are both deprecated and scheduled to be removed from ports at the end of the year -- in addition, upstream has supported the asciidoctor gem as a documentation build tool for some time now. As such, we can switch over to asciidoctor instead in ports.

Currently however, contrib/subtree does not build with asciidoctor 2.x. As such, backport a patch from upstream [1] to enable building with newer versions of asciidoctor. This patch can/should be dropped once upstream includes the aforementioned patch in the next release.


[1]: https://github.com/gitgitgadget/git/pull/600
Comment 1 Andy Mender 2020-04-18 15:20:21 UTC
(In reply to Bjorn Neergaard from comment #0)
There is an update to textproc/asciidoc to use the Python3 port of the project waiting for review here bug #245723. Would that be worth considering?
Comment 2 Bjorn Neergaard 2020-04-18 16:04:12 UTC
I do think this is the better route to go -- upstream is moving to asciidoctor as their build tool, instead of asciidoc3, and asciidoc3 installs as a2x3, instead of a2x. As such we would still have to patch git (or have the asciidoctor port install a symlink). If we go this route, once the upstream patch is merged in the next version, no patches/FreeBSD-specific behavior is needed.
Comment 3 Andy Mender 2020-04-19 09:08:58 UTC
Yes, then I agree that asciidoctor indeed makes more sense for git.
Comment 4 commit-hook freebsd_committer 2020-05-08 12:32:59 UTC
A commit references this bug:

Author: garga
Date: Fri May  8 12:32:45 UTC 2020
New revision: 534399
URL: https://svnweb.freebsd.org/changeset/ports/534399

Log:
  devel/git: Use rubygem-asciidoctor to build docs

  asciidoctor and python2 are deprecated and upstream is moving to
  asciidoctor gem as default tool to build documentation

  PR:		245657
  Submitted by:	Bjorn Neergaard <bjorn@neersighted.com>
  Sponsored by:	Rubicon Communications, LLC (Netgate)

Changes:
  head/devel/git/Makefile
  head/devel/git/files/patch-contrib__subtree__Makefile